## org.apache.lucene.queryParser.standard.config
Class AllowLeadingWildcardAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.queryParser.standard.config.AllowLeadingWildcardAttributeImpl

All Implemented Interfaces:
  Serializable, Cloneable, ConfigAttribute, AllowLeadingWildcardAttribute, Attribute

Deprecated.

    @Deprecated
    public class AllowLeadingWildcardAttributeImpl

extends AttributeImpl
implements AllowLeadingWildcardAttribute, ConfigAttribute

This attribute is used by `AllowLeadingWildcardProcessor` processor and must be defined in the `QueryConfigHandler`. It basically tells the processor if it should allow leading wildcard.

See Also:
  `AllowLeadingWildcardAttribute`, Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.util.AttributeImpl
`enableBackwards`

Constructor Summary
`AllowLeadingWildcardAttributeImpl()` Deprecated.

Method Summary
`void` `clear()` Deprecated. Clears the values in this AttributeImpl and resets it to its default value.
`void` `copyTo(AttributeImpl target)` Deprecated. Copies the values from this Attribute into the passed-in target attribute.
`boolean` `equals(Object other)` Deprecated.
`int` `hashCode()` Deprecated.
`boolean` `isAllowLeadingWildcard()` Deprecated.
`void` `setAllowLeadingWildcard(boolean allowLeadingWildcard)` Deprecated.
`void` `setQueryConfigHandler(AbstractQueryConfig config)` Deprecated.
`String` `toString()` Deprecated. Returns a string representation of the object.

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone, reflectAsString, reflectWith`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AllowLeadingWildcardAttributeImpl

    public AllowLeadingWildcardAttributeImpl()

  Deprecated.

Method Detail

### setAllowLeadingWildcard

    public void setAllowLeadingWildcard(boolean allowLeadingWildcard)

  Deprecated.
  Specified by:
    `setAllowLeadingWildcard` in interface `AllowLeadingWildcardAttribute`

### isAllowLeadingWildcard

    public boolean isAllowLeadingWildcard()

  Deprecated.
  Specified by:
    `isAllowLeadingWildcard` in interface `AllowLeadingWildcardAttribute`

### clear

    public void clear()

  Deprecated.
  Description copied from class: `AttributeImpl`
  Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.

  Specified by:
    `clear` in class `AttributeImpl`

### copyTo

    public void copyTo(AttributeImpl target)

  Deprecated.
  Description copied from class: `AttributeImpl`
  Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.

  Specified by:
    `copyTo` in class `AttributeImpl`

### equals

    public boolean equals(Object other)

  Deprecated.
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Deprecated.
  Description copied from class: `AttributeImpl`
  Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object.

  WARNING: For backwards compatibility this method is implemented as `return reflectAsString(false)`. In Lucene 4.0 this default implementation will be removed. The reason for this is the problem of `CharTermAttributeImpl.toString()` that must return a string representation of the term's char sequence.

  It is recommeneded to use `AttributeImpl.reflectAsString(boolean)` or `AttributeImpl.reflectWith(org.apache.lucene.util.AttributeReflector)` to get a well-defined output of AttributeImpl's internals.

  Overrides:
    `toString` in class `AttributeImpl`

### setQueryConfigHandler

    public void setQueryConfigHandler(AbstractQueryConfig config)

  Deprecated.
  Specified by:
    `setQueryConfigHandler` in interface `ConfigAttribute`